// JavaScript Document
//This is the menu creation code - place it right after you body tag
//Feel free to add this to a stand-alone js file and link it to your page.
//http://www.dhtmlcentral.com/forums/topic.asp?TOPIC_ID=14477

//Menu object creation
oCMenu=new makeCM("oCMenu") //Making the menu object. Argument: menuname

oCMenu.frames = 0

//Menu properties
oCMenu.pxBetween=2
oCMenu.fromLeft=45
oCMenu.fromTop=130
oCMenu.rows=0
oCMenu.menuPlacement=2

oCMenu.offlineRoot="file:///C|/Intranet_new/"
oCMenu.onlineRoot=""
oCMenu.resizeCheck=1
oCMenu.wait=1000
oCMenu.fillImg="cm_fill.gif"
oCMenu.zIndex=25

//Background bar properties
oCMenu.useBar=0
oCMenu.barWidth="menu"
oCMenu.barHeight="menu"
oCMenu.barClass="clBar"
oCMenu.barX=0
oCMenu.barY=0
oCMenu.barBorderX=0
oCMenu.barBorderY=0
oCMenu.barBorderClass=""

//Level properties - ALL properties have to be spesified in level 0
oCMenu.level[0]=new cm_makeLevel() //Add this for each new level
oCMenu.level[0].width=105
oCMenu.level[0].height=32
oCMenu.level[0].regClass="clLevel0"
oCMenu.level[0].overClass="clLevel0over"
oCMenu.level[0].borderX=1
oCMenu.level[0].borderY=1
oCMenu.level[0].borderClass="clLevel0border"
oCMenu.level[0].offsetX=0
oCMenu.level[0].offsetY=0
oCMenu.level[0].rows=0
oCMenu.level[0].arrow="http://ul.uc.edu/images_f/menu_arrow.gif"
oCMenu.level[0].arrowWidth=10
oCMenu.level[0].arrowHeight=15
oCMenu.level[0].align="right"

//EXAMPLE SUB LEVEL[1] PROPERTIES - You have to specify the properties you want different from LEVEL[0] - If you want all items to look the same just remove this
oCMenu.level[1]=new cm_makeLevel() //Add this for each new level (adding one to the number)
oCMenu.level[1].width=105
oCMenu.level[1].height=30
oCMenu.level[1].regClass="clLevel1"
oCMenu.level[1].overClass="clLevel1over"
oCMenu.level[1].borderX=1
oCMenu.level[1].borderY=1
oCMenu.level[1].align="right"
oCMenu.level[1].offsetX=0
oCMenu.level[1].offsetY=0
oCMenu.level[1].borderClass="clLevel1border"
oCMenu.level[1].arrow="http://ul.uc.edu/images_f/menu_arrow1.gif"
oCMenu.level[1].arrowWidth=10
oCMenu.level[1].arrowHeight=15


//EXAMPLE SUB LEVEL[2] PROPERTIES - You have to spesify the properties you want different from LEVEL[1] OR LEVEL[0] - If you want all items to look the same just remove this
oCMenu.level[2]=new cm_makeLevel() //Add this for each new level (adding one to the number)
oCMenu.level[2].width=105
oCMenu.level[2].height=30
oCMenu.level[2].offsetX=0
oCMenu.level[2].offsetY=0
oCMenu.level[2].regClass="clLevel2"
oCMenu.level[2].overClass="clLevel2over"
oCMenu.level[2].borderClass="clLevel2border"
oCMenu.level[2].arrow="http://ul.uc.edu/images_f/menu_arrow1.gif"
oCMenu.level[2].arrowWidth=10
oCMenu.level[2].arrowHeight=15


/******************************************
Menu item creation:
myCoolMenu.makeMenu(name, parent_name, text, link, target, width, height, regImage, overImage, regClass, overClass , align, rows, nolink, onclick, onmouseover, onmouseout)
*************************************/
oCMenu.makeMenu('top0','','Home','http://ul.uc.edu/index.html','')
//departments//
oCMenu.makeMenu('top1','','Departments','')
   oCMenu.makeMenu('sub10','top1','Business','http://ul.uc.edu/departments/business/index.html','','','')
   oCMenu.makeMenu('sub11','top1','C&D Libraries','','')
     oCMenu.makeMenu('sub110','sub11','DAAP Library','/departments/daap/index.html','')
     oCMenu.makeMenu('sub111','sub11','OCAS','/departments/ocas/index.html','')
   oCMenu.makeMenu('sub12','top1','Cataloging','http://ul.uc.edu/departments/catalog/index.html','')
   oCMenu.makeMenu('sub13','top1','Circulation','http://ul.uc.edu/departments/circulation/index.html','')
   oCMenu.makeMenu('sub14','top1','Collection Dev','http://ul.uc.edu/departments/coll_dev/index.html','')
    oCMenu.makeMenu('sub15','top1','Communications','http://ul.uc.edu/departments/communications/index.html','')
    oCMenu.makeMenu('sub16','top1','Conserv/Binding','http://ul.uc.edu/departments/conservation/index.html','')
   oCMenu.makeMenu('sub17','top1','Gov Docs','http://ul.uc.edu/departments/govdocs/index.html','')
   oCMenu.makeMenu('sub19','top1','InfoCommons','http://ul.uc.edu/departments/infocom/index.html','')
      oCMenu.makeMenu('sub20','top1','Interlibrary Services','http://ul.uc.edu/departments/ill/index.html','','','')
   oCMenu.makeMenu('sub21','top1','Library IT','http://ul.uc.edu/departments/libit/index.html','','','')
     oCMenu.makeMenu('sub210','sub21','Equipment','http://ul.uc.edu/resources/equipment/index.html','','','')   
	 oCMenu.makeMenu('sub211','sub21','Help Calls','http://ul.uc.edu/departments/libit/help/show_addhelp.php','','')
     oCMenu.makeMenu('sub212','sub21','Printing','http://ul.uc.edu/departments/libit/print/index.html','')
     oCMenu.makeMenu('sub213','sub21','Systems','http://ul.uc.edu/departments/libit/systems/index.html','','','')
     oCMenu.makeMenu('sub214','sub21','Webmaster','http://ul.uc.edu/departments/libit/web/index.html','','','')
   oCMenu.makeMenu('sub22','top1','Multimedia','http://ul.uc.edu/departments/multim/index.html','')
   oCMenu.makeMenu('sub23','top1','Periodicals','http://ul.uc.edu/departments/periodicals/index.html','')
   oCMenu.makeMenu('sub24','top1','Personnel',   'http://ul.uc.edu/departments/personnel/index.html','','')
     oCMenu.makeMenu('sub240','sub24','Home Page','http://ul.uc.edu/departments/personnel/index.html','')
     oCMenu.makeMenu('sub241','sub24','Student Asst Training','http://ul.uc.edu/departments/personnel/sah/index.html','')
   oCMenu.makeMenu('sub25','top1','Reference','http://ul.uc.edu/departments/ref/index.html','','')
   oCMenu.makeMenu('sub26','top1','TES','http://ul.uc.edu/departments/tes/index.html','','')
//Faq's//
oCMenu.makeMenu('top3','','FAQs','http://ul.uc.edu/faqs_main.html')
  oCMenu.makeMenu('sub31','top3','Langsam Tech','http://ul.uc.edu/Langsam_Tech.htm')
//feedback and suggestions//
oCMenu.makeMenu('top4','','Feedback and Suggestions','http://ul.uc.edu/feedback.html')
//forms//
oCMenu.makeMenu('top5','','Forms','/forms/index.html')
//groups//
oCMenu.makeMenu('top6','','Groups','')
  oCMenu.makeMenu('sub60','top6','Cataloging Team','/groups/cataloging_team/index.html')
   oCMenu.makeMenu('sub61','top6','Circulation Stacks Mgmt Team',  '/departments/circulation/circcommitteeindex.html')
   oCMenu.makeMenu('sub62','top6','Committees','/groups/committees/index.html')
   oCMenu.makeMenu('sub63','top6','DPAG','/groups/committees/digprojadvise')
   oCMenu.makeMenu('sub64','top6','Contribute Editors','/groups/contribute/index.html')
   oCMenu.makeMenu('sub641','top6','Dig Prog Adv Com','/groups/committees/digprojadvise/index.html')
   oCMenu.makeMenu('sub65','top6','Disability Services','/groups/disability_services/index.html')
   oCMenu.makeMenu('sub66','top6','ERES','/groups/eres/index.html')
   oCMenu.makeMenu('sub67','top6','Lectures & Exhibits','/groups/lectures_exhibits/index.html')
   oCMenu.makeMenu('sub68','top6','Library Faculty','/groups/faculty/index.html')
   oCMenu.makeMenu('sub69','top6','Planning','groups/planning/index.html')
   oCMenu.makeMenu('sub690','top6','Proc. Catlog Rec. Team', '/groups/pcrmt/index.html')
   oCMenu.makeMenu('sub691','top6','QSI','/groups/qsi/index.html')
   oCMenu.makeMenu('sub692','top6','SAC','/groups/SAC/index.html')
   oCMenu.makeMenu('sub693','top6','Strategic Planning','/groups/planning/')
     oCMenu.makeMenu('sub694','sub693','Task Forces','/groups/planning/taskf.html')
   oCMenu.makeMenu('sub695','top6','Web Team','/groups/WT/index.html')
//policies and manuals//
oCMenu.makeMenu('top7','','Policies & Manuals','/policies/index.html')
//resources//
oCMenu.makeMenu('top8','','Resources','http://ul.uc.edu/resources/index.html')
  oCMenu.makeMenu('sub80','top8','Virtual Office','https://472lang_2.lang.uc.edu/vo')
  oCMenu.makeMenu('sub81','top8','IFolder','https://472lang_2.lang.uc.edu/NetStorage')
  oCMenu.makeMenu('sub82','top8','Application System','http://ul.uc.edu/uclit/protected/common/login/login.php')
  oCMenu.makeMenu('sub83','top8','Supported Utilities','http://ul.uc.edu/resources/utilities/utilities.html')
  oCMenu.makeMenu('sub84','top8','Supported Plugins','http://ul.uc.edu/resources/public/plugins.html')
  oCMenu.makeMenu('sub85','top8','Updates','http://ul.uc.edu/resources/updates/index.html')
   oCMenu.makeMenu('sub86','top8','IPrint','http://472lang_2.lang.uc.edu/ippdocs/example.htm')
   oCMenu.makeMenu('sub87','top8','Virus Response','http://ul.uc.edu/resources/utilities/virresp.html')
  oCMenu.makeMenu('sub88','top8','Staff Applications','http://ul.uc.edu')
   oCMenu.makeMenu('sub880','sub88','Illiad','http://ul.uc.edu/resources/illiad/index.html')


//training//
oCMenu.makeMenu('top9','','Training','')
  oCMenu.makeMenu('sub90','top9','Student Asst Training','http://ul.uc.edu/departments/personnel/sah/index.html')
  oCMenu.makeMenu('sub91','top9','Workshop Schedule','http://www.libraries.uc.edu/help/workshops/')



//Leave this line - it constructs the menu
oCMenu.construct()


